package com.wteam.framework.common.vo;




import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

/**
 * 前后端交互VO
 *
 * @author Chopper
 */
@Data
@Schema(description = "通用返回类")
public class ResultMessage<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 成功标志
     */
    @Schema(description = "成功标志")
    private boolean success;

    /**
     * 消息
     */
    @Schema(description = "消息")
    private String message;

    /**
     * 返回代码
     */
    @Schema(description = "返回代码")
    private Integer code;

    /**
     * 时间戳
     */
    @Schema(description = "时间戳")
    private long timestamp = System.currentTimeMillis();

    /**
     * 结果对象
     */
    @Schema(description = "结果对象")
    private T result;
}
