package com.wteam.framework.modules.verification.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.wteam.framework.common.cache.CachePrefix;
import com.wteam.framework.modules.verification.entity.dos.VerificationSource;
import com.wteam.framework.modules.verification.entity.dto.VerificationDTO;

/**
 * 验证码资源维护 业务层
 *
 * @author Chopper
 * @since 2020/11/17 3:44 下午
 */
public interface VerificationSourceService extends IService<VerificationSource> {

    /**
     * 缓存
     */
    String VERIFICATION_CACHE = CachePrefix.VERIFICATION.getPrefix();


    /**
     * 初始化缓存
     *
     * @return
     */
    VerificationDTO initCache();

    /**
     * 获取验证缓存
     *
     * @return 验证码
     */
    VerificationDTO getVerificationCache();
}